import java.util.*;
class Example2_7 {
    public static void main(String args[]) {
        int i = 0;
        int x = 0;
        Scanner in = new Scanner(System.in);
        i = in.nextInt();
        x = i - 1;
        while (x > 0) {
            if (i % x == 0)
                break;         // 当找到能够整除输入数据的整数时，退出循环
            x--;
        }
        System.out.println(i + "的最大真约数是" + x);
    }
}
